clang-tools 8.0.0

Classes | Namespaces | Functions | Variables
IncludeFixerPlugin.cpp File Reference
`#include "../IncludeFixer.h"`
`#include "../YamlSymbolIndex.h"`
`#include "clang/Frontend/CompilerInstance.h"`
`#include "clang/Frontend/FrontendPluginRegistry.h"`
`#include "clang/Parse/ParseAST.h"`
`#include "clang/Sema/Sema.h"`
`#include "llvm/Support/Path.h"`
Include dependency graph for IncludeFixerPlugin.cpp:

Go to the source code of this file.

## Classes
class | clang::include_fixer::ClangIncludeFixerPluginAction
| The core include fixer plugin action. More...

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::include_fixer

## Functions
static clang::FrontendPluginRegistry::Add< clang::include_fixer::ClangIncludeFixerPluginAction > | X ("clang-include-fixer", "clang-include-fixer")

## Variables
volatile int | ClangIncludeFixerPluginAnchorSource = 0

## Function Documentation

## ◆ X()

static clang::FrontendPluginRegistry::Add< clang::include_fixer::ClangIncludeFixerPluginAction> X | ( | "clang-include-fixer" | ,
|  | "clang-include-fixer" |
| ) |  |
| static

## Variable Documentation

## ◆ ClangIncludeFixerPluginAnchorSource

volatile int ClangIncludeFixerPluginAnchorSource = 0

Definition at line 96 of file IncludeFixerPlugin.cpp.